Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000298 [SkyOS 5.0 - Beta] Kernel crash have not tried 2004-09-12 02:13 2004-10-06 14:58
Reporter Nemo View Status public  
Assigned To robert
Priority normal Resolution fixed  
Status resolved  
Summary 0000298: System freeze when trying to mount bogus device
Description I accidently typed mount d/ev/fd0 /floppy4 -t fat instead of mount /dev/fd0 /floppy4 -t fat and the entire system (within VMware) froze up.
Additional Information I would like to attach the debug output file, however the Upload File option is not available below! I'll see it it comes up after I post the bug.
Tags No tags attached.
Environment
Reported for build
Fixed in build
VersionType
Attached Files

- Relationships

-  Notes
(0000163)
Nemo (reporter)
2004-09-12 02:14

Well you don't have the option to attach a file to a bug report, so I'll just paste it all:

mount.c: Unable to open device d/ev/fd0. Error:
Try to mount as virtual block device file...
NULL pointer reference in kernel mode. Generating exception report...
**********************************************************************
Exception 0x0E occured.
Exception report follows:
Task /boot/programs/mount.app with PID 60 caused this exception while running in kernel mode.
Last sent GI message: 2501
Userstack located 00000000 - 7FFFFFF0, Kernel stack at 08580018 - 0859FC18
SBRK at 0x00407000

Kernel modules:
0x0C9F0000 - 0x0CA11000 /BOOT/SYSTEM/DRIVERS/DEBUGL.DLD
0x0CAE0000 - 0x0CAFF000 /BOOT/SYSTEM/DRIVERS/LINUXVM.DLD
0x0CBEC000 - 0x0CC10000 /BOOT/SYSTEM/DRIVERS/PPP.DLD
0x0C942000 - 0x0C96B000 /BOOT/SYSTEM/DRIVERS/AC97.DLD
0x0CA8A000 - 0x0CABC000 /BOOT/SYSTEM/DRIVERS/ES1371.DLD
0x0CB71000 - 0x0CB92000 /BOOT/SYSTEM/DRIVERS/NULLBLK.DLD
0x0CC39000 - 0x0CC66000 /BOOT/SYSTEM/DRIVERS/RADEON.DLD
0x0CCAE000 - 0x0CCD5000 /BOOT/SYSTEM/DRIVERS/SB.DLD
0x0CC10000 - 0x0CC39000 /BOOT/SYSTEM/DRIVERS/PTY.DLD
0x0CC87000 - 0x0CCAE000 /BOOT/SYSTEM/DRIVERS/RTL8139.DLD
0x0CD3E000 - 0x0CD6A000 /BOOT/SYSTEM/DRIVERS/VIA82XX.DLD
0x0CD6A000 - 0x0CD91000 /BOOT/SYSTEM/DRIVERS/VIARHINE.DLD
0x0CA31000 - 0x0CA52000 /BOOT/SYSTEM/DRIVERS/ELO.DLD
0x0C992000 - 0x0C9F0000 /BOOT/SYSTEM/DRIVERS/TCPIP.DLD
0x0C96B000 - 0x0C992000 /BOOT/SYSTEM/DRIVERS/AMDPCNET.DLD
0x0CA11000 - 0x0CA31000 /BOOT/SYSTEM/DRIVERS/DEVICEFS.DLD
0x0CB23000 - 0x0CB52000 /BOOT/SYSTEM/DRIVERS/MACH64.DLD
0x0CCFB000 - 0x0CD1E000 /BOOT/SYSTEM/DRIVERS/UMFS.DLD
0x0CAFF000 - 0x0CB23000 /BOOT/SYSTEM/DRIVERS/LO.DLD
0x0CB92000 - 0x0CBCB000 /BOOT/SYSTEM/DRIVERS/NVIDIA.DLD
0x0CBCB000 - 0x0CBEC000 /BOOT/SYSTEM/DRIVERS/PARALLEL.DLD
0x0CCD5000 - 0x0CCFB000 /BOOT/SYSTEM/DRIVERS/SLIP.DLD
0x0C922000 - 0x0C942000 /BOOT/SYSTEM/DRIVERS/SNFS.DLD
0x0CABC000 - 0x0CAE0000 /BOOT/SYSTEM/DRIVERS/FIFOFS.DLD
0x0CB52000 - 0x0CB71000 /BOOT/SYSTEM/DRIVERS/VMT.DLD
0x0CC66000 - 0x0CC87000 /BOOT/SYSTEM/DRIVERS/RAMDISK.DLD
0x0CD1E000 - 0x0CD3E000 /BOOT/SYSTEM/DRIVERS/VFSDEV.DLD
0x0CD91000 - 0x0CDB8000 /BOOT/SYSTEM/DRIVERS/VMWARE.DLD
0x0CA52000 - 0x0CA8A000 /BOOT/SYSTEM/DRIVERS/EMU1K.DLD
 
Virtual memory regions:
Start End Offset Protection Module (Phys)
===================================================================
00401000 00402000 (0C1F1000) R-X /boot/programs/mount.app (0C1F0000)
00402000 00403000 (0C1F2000) RWX /boot/programs/mount.app (0C1F0000)
00403000 00404000 (00000000) RWX /boot/programs/mount.app (0C1F0000)
00404000 00405000 (0C1F4000) RWX /boot/programs/mount.app (0C1F0000)
00406000 00407000 (00000000) RWX Unknown (00000000)
20001000 20024000 (0C68B000) R-X /boot/system/dll/libsky.dll (0C68A000)
20024000 20026000 (0C6AE000) RWX /boot/system/dll/libsky.dll (0C68A000)
20026000 20028000 (00000000) RWX /boot/system/dll/libsky.dll (0C68A000)
20028000 2002C000 (0C6B2000) RWX /boot/system/dll/libsky.dll (0C68A000)
2002C000 20091000 (0C6B6000) R-X /boot/system/dll/libsky.dll (0C68A000)
35001000 35002000 (0C71E000) R-X /boot/system/dll/libini.dll (0C71D000)
35002000 35004000 (0C71F000) RWX /boot/system/dll/libini.dll (0C71D000)
36001000 36002000 (0C678000) R-X /boot/system/dll/libenc.dll (0C677000)
36002000 36005000 (0C679000) RWX /boot/system/dll/libenc.dll (0C677000)
36005000 36011000 (0C67C000) R-X /boot/system/dll/libenc.dll (0C677000)
40001000 40005000 (0C724000) R-X /boot/system/dll/librsm.dll (0C723000)
40005000 40007000 (0C728000) RWX /boot/system/dll/librsm.dll (0C723000)
40007000 40008000 (00000000) RWX /boot/system/dll/librsm.dll (0C723000)
40008000 4000A000 (0C72B000) RWX /boot/system/dll/librsm.dll (0C723000)
4000A000 40012000 (0C72D000) R-X /boot/system/dll/librsm.dll (0C723000)
45001000 45004000 (0C738000) R-X /boot/system/dll/libuser.dll (0C737000)
45004000 45009000 (0C73B000) RWX /boot/system/dll/libuser.dll (0C737000)
45009000 4500F000 (0C740000) R-X /boot/system/dll/libuser.dll (0C737000)
7FFF0000 80000000 (00000000) RWX Unknown (00000000)
 
Important page entries:
Page table entry for CR2: 0x00000066
Page table entry for EIP: 0x0014C007
Directory entry not valid
Page table entry for ESP: 0x00000000
 
Detailed processor status:
Error Code = 00000000, CR2 = 8000015C Stack: 08580018
EAX = 80090000, EBX = 80090000, ECX = 0859E35C, EDX = 00000018
EFL = 00011213, ESI = 0859FACC, EDI = 0014AC5D, EBP = 0859F74C
ESP = 0859F700, EIP = 0014C4F1
CS = 0010, DS = 0018, ES = 0018
FS = 0018, GS = 002B, SS = 0018
Page fault occured while task was in kernel mode
The page is not present and the task tried to read from this page


No kernel stack voilation occured..




Kernel stack backtrace from 0x0014C4F1 / 0x0859F74C
Kernel stack backtrace from 0x0014C4F1 / 0x0859F74C
<core: kernel + 0x0004C4F1> vfs_vfsdev_open:F(0,1) + 0x00000031
<core: kernel + 0x0004C4F1> vfs_vfsdev_open:F(0,1) + 0x00000031
<core: kernel + 0x0004B013> vfs_mount:F(0,1) + 0x00000273
<core: kernel + 0x0004B013> vfs_mount:F(0,1) + 0x00000273
<core: kernel + 0x0004B739> sys_mount:F(0,1) + 0x000001A9
<core: kernel + 0x0004B739> sys_mount:F(0,1) + 0x000001A9
<core: kernel> 0x0010985C
<core: kernel> 0x0010985C

Disassembling code at fault address (Virtual: 0x0014C4F1 Physical: 0x0014C4F1):
100000:0014C4F1 mov eax,[edx+324]
100000:0014C4F7 mov eax,[eax+12]
100000:0014C4FA push eax
100000:0014C4FB push edx
100000:0014C4FC push 0x14c473
100000:0014C501 call 0x103ed0
100000:0014C506 add esp,32
100000:0014C509 test ebx,ebx
100000:0014C50B jz 0x14c520
100000:0014C50D mov eax,[ebp-8]
100000:0014C510 mov fs,ax
100000:0014C512 mov eax,0x1
100000:0014C517 jmp 0x14c5d2
100000:0014C51C lea esi,[esi]
100000:0014C520 add esp,-12
Memory at EIP (Virtual: 0x0014C523 Physical: 0x0014C523):
Memory dump at CR2 (Virtual: 0x8000015C Physical: 0x00000000):
<invalid>

NULL pointer reference in kernel mode. Generating exception report...
**********************************************************************
Exception 0x0E occured.
Exception report follows:
Task /boot/programs/mount.app with PID 60 caused this exception while running in kernel mode.
Last sent GI message: 2501
Userstack located 00000000 - 7FFFFFF0, Kernel stack at 08580018 - 0859FC18
SBRK at 0x00407000

Kernel modules:
0x0C9F0000 - 0x0CA11000 /BOOT/SYSTEM/DRIVERS/DEBUGL.DLD
0x0CAE0000 - 0x0CAFF000 /BOOT/SYSTEM/DRIVERS/LINUXVM.DLD
0x0CBEC000 - 0x0CC10000 /BOOT/SYSTEM/DRIVERS/PPP.DLD
0x0C942000 - 0x0C96B000 /BOOT/SYSTEM/DRIVERS/AC97.DLD
0x0CA8A000 - 0x0CABC000 /BOOT/SYSTEM/DRIVERS/ES1371.DLD
0x0CB71000 - 0x0CB92000 /BOOT/SYSTEM/DRIVERS/NULLBLK.DLD
0x0CC39000 - 0x0CC66000 /BOOT/SYSTEM/DRIVERS/RADEON.DLD
0x0CCAE000 - 0x0CCD5000 /BOOT/SYSTEM/DRIVERS/SB.DLD
0x0CC10000 - 0x0CC39000 /BOOT/SYSTEM/DRIVERS/PTY.DLD
0x0CC87000 - 0x0CCAE000 /BOOT/SYSTEM/DRIVERS/RTL8139.DLD
0x0CD3E000 - 0x0CD6A000 /BOOT/SYSTEM/DRIVERS/VIA82XX.DLD
0x0CD6A000 - 0x0CD91000 /BOOT/SYSTEM/DRIVERS/VIARHINE.DLD
0x0CA31000 - 0x0CA52000 /BOOT/SYSTEM/DRIVERS/ELO.DLD
0x0C992000 - 0x0C9F0000 /BOOT/SYSTEM/DRIVERS/TCPIP.DLD
0x0C96B000 - 0x0C992000 /BOOT/SYSTEM/DRIVERS/AMDPCNET.DLD
0x0CA11000 - 0x0CA31000 /BOOT/SYSTEM/DRIVERS/DEVICEFS.DLD
0x0CB23000 - 0x0CB52000 /BOOT/SYSTEM/DRIVERS/MACH64.DLD
0x0CCFB000 - 0x0CD1E000 /BOOT/SYSTEM/DRIVERS/UMFS.DLD
0x0CAFF000 - 0x0CB23000 /BOOT/SYSTEM/DRIVERS/LO.DLD
0x0CB92000 - 0x0CBCB000 /BOOT/SYSTEM/DRIVERS/NVIDIA.DLD
0x0CBCB000 - 0x0CBEC000 /BOOT/SYSTEM/DRIVERS/PARALLEL.DLD
0x0CCD5000 - 0x0CCFB000 /BOOT/SYSTEM/DRIVERS/SLIP.DLD
0x0C922000 - 0x0C942000 /BOOT/SYSTEM/DRIVERS/SNFS.DLD
0x0CABC000 - 0x0CAE0000 /BOOT/SYSTEM/DRIVERS/FIFOFS.DLD
0x0CB52000 - 0x0CB71000 /BOOT/SYSTEM/DRIVERS/VMT.DLD
0x0CC66000 - 0x0CC87000 /BOOT/SYSTEM/DRIVERS/RAMDISK.DLD
0x0CD1E000 - 0x0CD3E000 /BOOT/SYSTEM/DRIVERS/VFSDEV.DLD
0x0CD91000 - 0x0CDB8000 /BOOT/SYSTEM/DRIVERS/VMWARE.DLD
0x0CA52000 - 0x0CA8A000 /BOOT/SYSTEM/DRIVERS/EMU1K.DLD
 
Virtual memory regions:
Start End Offset Protection Module (Phys)
===================================================================
00401000 00402000 (0C1F1000) R-X /boot/programs/mount.app (0C1F0000)
00402000 00403000 (0C1F2000) RWX /boot/programs/mount.app (0C1F0000)
00403000 00404000 (00000000) RWX /boot/programs/mount.app (0C1F0000)
00404000 00405000 (0C1F4000) RWX /boot/programs/mount.app (0C1F0000)
00406000 00407000 (00000000) RWX Unknown (00000000)
20001000 20024000 (0C68B000) R-X /boot/system/dll/libsky.dll (0C68A000)
20024000 20026000 (0C6AE000) RWX /boot/system/dll/libsky.dll (0C68A000)
20026000 20028000 (00000000) RWX /boot/system/dll/libsky.dll (0C68A000)
20028000 2002C000 (0C6B2000) RWX /boot/system/dll/libsky.dll (0C68A000)
2002C000 20091000 (0C6B6000) R-X /boot/system/dll/libsky.dll (0C68A000)
35001000 35002000 (0C71E000) R-X /boot/system/dll/libini.dll (0C71D000)
35002000 35004000 (0C71F000) RWX /boot/system/dll/libini.dll (0C71D000)
36001000 36002000 (0C678000) R-X /boot/system/dll/libenc.dll (0C677000)
36002000 36005000 (0C679000) RWX /boot/system/dll/libenc.dll (0C677000)
36005000 36011000 (0C67C000) R-X /boot/system/dll/libenc.dll (0C677000)
40001000 40005000 (0C724000) R-X /boot/system/dll/librsm.dll (0C723000)
40005000 40007000 (0C728000) RWX /boot/system/dll/librsm.dll (0C723000)
40007000 40008000 (00000000) RWX /boot/system/dll/librsm.dll (0C723000)
40008000 4000A000 (0C72B000) RWX /boot/system/dll/librsm.dll (0C723000)
4000A000 40012000 (0C72D000) R-X /boot/system/dll/librsm.dll (0C723000)
45001000 45004000 (0C738000) R-X /boot/system/dll/libuser.dll (0C737000)
45004000 45009000 (0C73B000) RWX /boot/system/dll/libuser.dll (0C737000)
45009000 4500F000 (0C740000) R-X /boot/system/dll/libuser.dll (0C737000)
7FFF0000 80000000 (00000000) RWX Unknown (00000000)
 
Important page entries:
Page table entry for CR2: 0x00000066
Page table entry for EIP: 0x0014C007
Directory entry not valid
Page table entry for ESP: 0x00000000
 
Detailed processor status:
Error Code = 00000000, CR2 = 8000015C Stack: 08580018
EAX = 80090000, EBX = 80090000, ECX = 0859E35C, EDX = 00000018
EFL = 00011213, ESI = 0859FACC, EDI = 0014AC5D, EBP = 0859F74C
ESP = 0859F700, EIP = 0014C4F1
CS = 0010, DS = 0018, ES = 0018
FS = 0018, GS = 002B, SS = 0018
Page fault occured while task was in kernel mode
The page is not present and the task tried to read from this page


No kernel stack voilation occured..




Kernel stack backtrace from 0x0014C4F1 / 0x0859F74C
Kernel stack backtrace from 0x0014C4F1 / 0x0859F74C
<core: kernel + 0x0004C4F1> vfs_vfsdev_open:F(0,1) + 0x00000031
<core: kernel + 0x0004C4F1> vfs_vfsdev_open:F(0,1) + 0x00000031
<core: kernel + 0x0004B013> vfs_mount:F(0,1) + 0x00000273
<core: kernel + 0x0004B013> vfs_mount:F(0,1) + 0x00000273
<core: kernel + 0x0004B739> sys_mount:F(0,1) + 0x000001A9
<core: kernel + 0x0004B739> sys_mount:F(0,1) + 0x000001A9
<core: kernel> 0x0010985C
<core: kernel> 0x0010985C

Disassembling code at fault address (Virtual: 0x0014C4F1 Physical: 0x0014C4F1):
100000:0014C4F1 mov eax,[edx+324]
100000:0014C4F7 mov eax,[eax+12]
100000:0014C4FA push eax
100000:0014C4FB push edx
100000:0014C4FC push 0x14c473
100000:0014C501 call 0x103ed0
100000:0014C506 add esp,32
100000:0014C509 test ebx,ebx
100000:0014C50B jz 0x14c520
100000:0014C50D mov eax,[ebp-8]
100000:0014C510 mov fs,ax
100000:0014C512 mov eax,0x1
100000:0014C517 jmp 0x14c5d2
100000:0014C51C lea esi,[esi]
100000:0014C520 add esp,-12
Memory at EIP (Virtual: 0x0014C523 Physical: 0x0014C523):
Memory dump at CR2 (Virtual: 0x8000015C Physical: 0x00000000):
<invalid>

NULL pointer reference in kernel mode. Generating exception report...
**********************************************************************
Exception 0x0E occured.
Exception report follows:
Task /boot/programs/mount.app with PID 60 caused this exception while running in kernel mode.
Last sent GI message: 2501
Userstack located 00000000 - 7FFFFFF0, Kernel stack at 08580018 - 0859FC18
SBRK at 0x00407000

Kernel modules:
0x0C9F0000 - 0x0CA11000 /BOOT/SYSTEM/DRIVERS/DEBUGL.DLD
0x0CAE0000 - 0x0CAFF000 /BOOT/SYSTEM/DRIVERS/LINUXVM.DLD
0x0CBEC000 - 0x0CC10000 /BOOT/SYSTEM/DRIVERS/PPP.DLD
0x0C942000 - 0x0C96B000 /BOOT/SYSTEM/DRIVERS/AC97.DLD
0x0CA8A000 - 0x0CABC000 /BOOT/SYSTEM/DRIVERS/ES1371.DLD
0x0CB71000 - 0x0CB92000 /BOOT/SYSTEM/DRIVERS/NULLBLK.DLD
0x0CC39000 - 0x0CC66000 /BOOT/SYSTEM/DRIVERS/RADEON.DLD
0x0CCAE000 - 0x0CCD5000 /BOOT/SYSTEM/DRIVERS/SB.DLD
0x0CC10000 - 0x0CC39000 /BOOT/SYSTEM/DRIVERS/PTY.DLD
0x0CC87000 - 0x0CCAE000 /BOOT/SYSTEM/DRIVERS/RTL8139.DLD
0x0CD3E000 - 0x0CD6A000 /BOOT/SYSTEM/DRIVERS/VIA82XX.DLD
0x0CD6A000 - 0x0CD91000 /BOOT/SYSTEM/DRIVERS/VIARHINE.DLD
0x0CA31000 - 0x0CA52000 /BOOT/SYSTEM/DRIVERS/ELO.DLD
0x0C992000 - 0x0C9F0000 /BOOT/SYSTEM/DRIVERS/TCPIP.DLD
0x0C96B000 - 0x0C992000 /BOOT/SYSTEM/DRIVERS/AMDPCNET.DLD
0x0CA11000 - 0x0CA31000 /BOOT/SYSTEM/DRIVERS/DEVICEFS.DLD
0x0CB23000 - 0x0CB52000 /BOOT/SYSTEM/DRIVERS/MACH64.DLD
0x0CCFB000 - 0x0CD1E000 /BOOT/SYSTEM/DRIVERS/UMFS.DLD
0x0CAFF000 - 0x0CB23000 /BOOT/SYSTEM/DRIVERS/LO.DLD
0x0CB92000 - 0x0CBCB000 /BOOT/SYSTEM/DRIVERS/NVIDIA.DLD
0x0CBCB000 - 0x0CBEC000 /BOOT/SYSTEM/DRIVERS/PARALLEL.DLD
0x0CCD5000 - 0x0CCFB000 /BOOT/SYSTEM/DRIVERS/SLIP.DLD
0x0C922000 - 0x0C942000 /BOOT/SYSTEM/DRIVERS/SNFS.DLD
0x0CABC000 - 0x0CAE0000 /BOOT/SYSTEM/DRIVERS/FIFOFS.DLD
0x0CB52000 - 0x0CB71000 /BOOT/SYSTEM/DRIVERS/VMT.DLD
0x0CC66000 - 0x0CC87000 /BOOT/SYSTEM/DRIVERS/RAMDISK.DLD
0x0CD1E000 - 0x0CD3E000 /BOOT/SYSTEM/DRIVERS/VFSDEV.DLD
0x0CD91000 - 0x0CDB8000 /BOOT/SYSTEM/DRIVERS/VMWARE.DLD
0x0CA52000 - 0x0CA8A000 /BOOT/SYSTEM/DRIVERS/EMU1K.DLD
 
Virtual memory regions:
Start End Offset Protection Module (Phys)
===================================================================
00401000 00402000 (0C1F1000) R-X /boot/programs/mount.app (0C1F0000)
00402000 00403000 (0C1F2000) RWX /boot/programs/mount.app (0C1F0000)
00403000 00404000 (00000000) RWX /boot/programs/mount.app (0C1F0000)
00404000 00405000 (0C1F4000) RWX /boot/programs/mount.app (0C1F0000)
00406000 00407000 (00000000) RWX Unknown (00000000)
20001000 20024000 (0C68B000) R-X /boot/system/dll/libsky.dll (0C68A000)
20024000 20026000 (0C6AE000) RWX /boot/system/dll/libsky.dll (0C68A000)
20026000 20028000 (00000000) RWX /boot/system/dll/libsky.dll (0C68A000)
20028000 2002C000 (0C6B2000) RWX /boot/system/dll/libsky.dll (0C68A000)
2002C000 20091000 (0C6B6000) R-X /boot/system/dll/libsky.dll (0C68A000)
35001000 35002000 (0C71E000) R-X /boot/system/dll/libini.dll (0C71D000)
35002000 35004000 (0C71F000) RWX /boot/system/dll/libini.dll (0C71D000)
36001000 36002000 (0C678000) R-X /boot/system/dll/libenc.dll (0C677000)
36002000 36005000 (0C679000) RWX /boot/system/dll/libenc.dll (0C677000)
36005000 36011000 (0C67C000) R-X /boot/system/dll/libenc.dll (0C677000)
40001000 40005000 (0C724000) R-X /boot/system/dll/librsm.dll (0C723000)
40005000 40007000 (0C728000) RWX /boot/system/dll/librsm.dll (0C723000)
40007000 40008000 (00000000) RWX /boot/system/dll/librsm.dll (0C723000)
40008000 4000A000 (0C72B000) RWX /boot/system/dll/librsm.dll (0C723000)
4000A000 40012000 (0C72D000) R-X /boot/system/dll/librsm.dll (0C723000)
45001000 45004000 (0C738000) R-X /boot/system/dll/libuser.dll (0C737000)
45004000 45009000 (0C73B000) RWX /boot/system/dll/libuser.dll (0C737000)
45009000 4500F000 (0C740000) R-X /boot/system/dll/libuser.dll (0C737000)
7FFF0000 80000000 (00000000) RWX Unknown (00000000)
 
Important page entries:
Page table entry for CR2: 0x00000066
Page table entry for EIP: 0x0014C007
Directory entry not valid
Page table entry for ESP: 0x00000000
 
Detailed processor status:
Error Code = 00000000, CR2 = 8000015C Stack: 08580018
EAX = 80090000, EBX = 80090000, ECX = 0859E35C, EDX = 00000018
EFL = 00011213, ESI = 0859FACC, EDI = 0014AC5D, EBP = 0859F74C
ESP = 0859F700, EIP = 0014C4F1
CS = 0010, DS = 0018, ES = 0018
FS = 0018, GS = 002B, SS = 0018
Page fault occured while task was in kernel mode
The page is not present and the task tried to read from this page


No kernel stack voilation occured..




Kernel stack backtrace from 0x0014C4F1 / 0x0859F74C
Kernel stack backtrace from 0x0014C4F1 / 0x0859F74C
<core: kernel + 0x0004C4F1> vfs_vfsdev_open:F(0,1) + 0x00000031
<core: kernel + 0x0004C4F1> vfs_vfsdev_open:F(0,1) + 0x00000031
<core: kernel + 0x0004B013> vfs_mount:F(0,1) + 0x00000273
<core: kernel + 0x0004B013> vfs_mount:F(0,1) + 0x00000273
<core: kernel + 0x0004B739> sys_mount:F(0,1) + 0x000001A9
<core: kernel + 0x0004B739> sys_mount:F(0,1) + 0x000001A9
<core: kernel> 0x0010985C
<core: kernel> 0x0010985C

Disassembling code at fault address (Virtual: 0x0014C4F1 Physical: 0x0014C4F1):
100000:0014C4F1 mov eax,[edx+324]
100000:0014C4F7 mov eax,[eax+12]
100000:0014C4FA push eax
100000:0014C4FB push edx
100000:0014C4FC push 0x14c473
100000:0014C501 call 0x103ed0
100000:0014C506 add esp,32
100000:0014C509 test ebx,ebx
100000:0014C50B jz 0x14c520
100000:0014C50D mov eax,[ebp-8]
100000:0014C510 mov fs,ax
100000:0014C512 mov eax,0x1
100000:0014C517 jmp 0x14c5d2
100000:0014C51C lea esi,[esi]
100000:0014C520 add esp,-12
Memory at EIP (Virtual: 0x0014C523 Physical: 0x0014C523):
Memory dump at CR2 (Virtual: 0x8000015C Physical: 0x00000000):
<invalid>

NULL pointer reference in kernel mode. Generating exception report...
**********************************************************************
Exception 0x0E occured.
Exception report follows:
Task /boot/programs/mount.app with PID 60 caused this exception while running in kernel mode.
Last sent GI message: 2501
Userstack located 00000000 - 7FFFFFF0, Kernel stack at 08580018 - 0859FC18
SBRK at 0x00407000

Kernel modules:
0x0C9F0000 - 0x0CA11000 /BOOT/SYSTEM/DRIVERS/DEBUGL.DLD
0x0CAE0000 - 0x0CAFF000 /BOOT/SYSTEM/DRIVERS/LINUXVM.DLD
0x0CBEC000 - 0x0CC10000 /BOOT/SYSTEM/DRIVERS/PPP.DLD
0x0C942000 - 0x0C96B000 /BOOT/SYSTEM/DRIVERS/AC97.DLD
0x0CA8A000 - 0x0CABC000 /BOOT/SYSTEM/DRIVERS/ES1371.DLD
0x0CB71000 - 0x0CB92000 /BOOT/SYSTEM/DRIVERS/NULLBLK.DLD
0x0CC39000 - 0x0CC66000 /BOOT/SYSTEM/DRIVERS/RADEON.DLD
0x0CCAE000 - 0x0CCD5000 /BOOT/SYSTEM/DRIVERS/SB.DLD
0x0CC10000 - 0x0CC39000 /BOOT/SYSTEM/DRIVERS/PTY.DLD
0x0CC87000 - 0x0CCAE000 /BOOT/SYSTEM/DRIVERS/RTL8139.DLD
0x0CD3E000 - 0x0CD6A000 /BOOT/SYSTEM/DRIVERS/VIA82XX.DLD
0x0CD6A000 - 0x0CD91000 /BOOT/SYSTEM/DRIVERS/VIARHINE.DLD
0x0CA31000 - 0x0CA52000 /BOOT/SYSTEM/DRIVERS/ELO.DLD
0x0C992000 - 0x0C9F0000 /BOOT/SYSTEM/DRIVERS/TCPIP.DLD
0x0C96B000 - 0x0C992000 /BOOT/SYSTEM/DRIVERS/AMDPCNET.DLD
0x0CA11000 - 0x0CA31000 /BOOT/SYSTEM/DRIVERS/DEVICEFS.DLD
0x0CB23000 - 0x0CB52000 /BOOT/SYSTEM/DRIVERS/MACH64.DLD
0x0CCFB000 - 0x0CD1E000 /BOOT/SYSTEM/DRIVERS/UMFS.DLD
0x0CAFF000 - 0x0CB23000 /BOOT/SYSTEM/DRIVERS/LO.DLD
0x0CB92000 - 0x0CBCB000 /BOOT/SYSTEM/DRIVERS/NVIDIA.DLD
0x0CBCB000 - 0x0CBEC000 /BOOT/SYSTEM/DRIVERS/PARALLEL.DLD
0x0CCD5000 - 0x0CCFB000 /BOOT/SYSTEM/DRIVERS/SLIP.DLD
0x0C922000 - 0x0C942000 /BOOT/SYSTEM/DRIVERS/SNFS.DLD
0x0CABC000 - 0x0CAE0000 /BOOT/SYSTEM/DRIVERS/FIFOFS.DLD
0x0CB52000 - 0x0CB71000 /BOOT/SYSTEM/DRIVERS/VMT.DLD
0x0CC66000 - 0x0CC87000 /BOOT/SYSTEM/DRIVERS/RAMDISK.DLD
0x0CD1E000 - 0x0CD3E000 /BOOT/SYSTEM/DRIVERS/VFSDEV.DLD
0x0CD91000 - 0x0CDB8000 /BOOT/SYSTEM/DRIVERS/VMWARE.DLD
0x0CA52000 - 0x0CA8A000 /BOOT/SYSTEM/DRIVERS/EMU1K.DLD
 
Virtual memory regions:
Start End Offset Protection Module (Phys)
===================================================================
00401000 00402000 (0C1F1000) R-X /boot/programs/mount.app (0C1F0000)
00402000 00403000 (0C1F2000) RWX /boot/programs/mount.app (0C1F0000)
00403000 00404000 (00000000) RWX /boot/programs/mount.app (0C1F0000)
00404000 00405000 (0C1F4000) RWX /boot/programs/mount.app (0C1F0000)
00406000 00407000 (00000000) RWX Unknown (00000000)
20001000 20024000 (0C68B000) R-X /boot/system/dll/libsky.dll (0C68A000)
20024000 20026000 (0C6AE000) RWX /boot/system/dll/libsky.dll (0C68A000)
20026000 20028000 (00000000) RWX /boot/system/dll/libsky.dll (0C68A000)
20028000 2002C000 (0C6B2000) RWX /boot/system/dll/libsky.dll (0C68A000)
2002C000 20091000 (0C6B6000) R-X /boot/system/dll/libsky.dll (0C68A000)
35001000 35002000 (0C71E000) R-X /boot/system/dll/libini.dll (0C71D000)
35002000 35004000 (0C71F000) RWX /boot/system/dll/libini.dll (0C71D000)
36001000 36002000 (0C678000) R-X /boot/system/dll/libenc.dll (0C677000)
36002000 36005000 (0C679000) RWX /boot/system/dll/libenc.dll (0C677000)
36005000 36011000 (0C67C000) R-X /boot/system/dll/libenc.dll (0C677000)
40001000 40005000 (0C724000) R-X /boot/system/dll/librsm.dll (0C723000)
40005000 40007000 (0C728000) RWX /boot/system/dll/librsm.dll (0C723000)
40007000 40008000 (00000000) RWX /boot/system/dll/librsm.dll (0C723000)
40008000 4000A000 (0C72B000) RWX /boot/system/dll/librsm.dll (0C723000)
4000A000 40012000 (0C72D000) R-X /boot/system/dll/librsm.dll (0C723000)
45001000 45004000 (0C738000) R-X /boot/system/dll/libuser.dll (0C737000)
45004000 45009000 (0C73B000) RWX /boot/system/dll/libuser.dll (0C737000)
45009000 4500F000 (0C740000) R-X /boot/system/dll/libuser.dll (0C737000)
7FFF0000 80000000 (00000000) RWX Unknown (00000000)
 
Important page entries:
Page table entry for CR2: 0x00000066
Page table entry for EIP: 0x0014C007
Directory entry not valid
Page table entry for ESP: 0x00000000
 
Detailed processor status:
Error Code = 00000000, CR2 = 8000015C Stack: 08580018
EAX = 80090000, EBX = 80090000, ECX = 0859E35C, EDX = 00000018
EFL = 00011213, ESI = 0859FACC, EDI = 0014AC5D, EBP = 0859F74C
ESP = 0859F700, EIP = 0014C4F1
CS = 0010, DS = 0018, ES = 0018
FS = 0018, GS = 002B, SS = 0018
Page fault occured while task was in kernel mode
The page is not present and the task tried to read from this page


No kernel stack voilation occured..




Kernel stack backtrace from 0x0014C4F1 / 0x0859F74C
Kernel stack backtrace from 0x0014C4F1 / 0x0859F74C
<core: kernel + 0x0004C4F1> vfs_vfsdev_open:F(0,1) + 0x00000031
<core: kernel + 0x0004C4F1> vfs_vfsdev_open:F(0,1) + 0x00000031
<core: kernel + 0x0004B013> vfs_mount:F(0,1) + 0x00000273
<core: kernel + 0x0004B013> vfs_mount:F(0,1) + 0x00000273
<core: kernel + 0x0004B739> sys_mount:F(0,1) + 0x000001A9
<core: kernel + 0x0004B739> sys_mount:F(0,1) + 0x000001A9
<core: kernel> 0x0010985C
<core: kernel> 0x0010985C

Disassembling code at fault address (Virtual: 0x0014C4F1 Physical: 0x0014C4F1):
100000:0014C4F1 mov eax,[edx+324]
100000:0014C4F7 mov eax,[eax+12]
100000:0014C4FA push eax
100000:0014C4FB push edx
100000:0014C4FC push 0x14c473
100000:0014C501 call 0x103ed0
100000:0014C506 add esp,32
100000:0014C509 test ebx,ebx
100000:0014C50B jz 0x14c520
100000:0014C50D mov eax,[ebp-8]
100000:0014C510 mov fs,ax
100000:0014C512 mov eax,0x1
100000:0014C517 jmp 0x14c5d2
100000:0014C51C lea esi,[esi]
100000:0014C520 add esp,-12
Memory at EIP (Virtual: 0x0014C523 Physical: 0x0014C523):
Memory dump at CR2 (Virtual: 0x8000015C Physical: 0x00000000):
<invalid>

NULL pointer reference in kernel mode. Generating exception report...
System halted. Recursive exception
debugger.c: Kernel debugger ready!
$>

- Issue History
Date Modified Username Field Change
2004-09-12 02:13 Nemo New Issue
2004-09-12 02:14 Nemo Note Added: 0000163
2004-09-30 09:03 robert Status new => resolved
2004-09-30 09:03 robert Resolution open => fixed
2004-09-30 09:03 robert Assigned To => robert
2004-10-06 14:58 robert Project @2@ => SkyOS 5.0 - Beta


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker